Hi Paul,

I haven't poked around with this much so I could be wrong, but it looks like the namespace should be updated in geronimo-web.xml.  You can find this file in the WEB-INF directory of the war.  Try changing the namespace version from 1.0 to 2.0.1.

Hope this helps.

~Jason Warner

On Jan 29, 2008 3:13 PM, Paul Wong <tgalways@gmail.com> wrote:

hey all:


I am trying to deploy the Spring petclinic sample application (from Srping 2.5.1) on Geronimo 2.0.2 and i get this error:


org.apache.geronimo.common.DeploymentException: Cannot handle web plan

with namespace http://geronimo.apache.org/xml/ns/j2ee/web-1.0 --

expecting http://geronimo.apache.org/xml/ns/j2ee/web-2.0.1 or......


Any suggestion to get this going?


Thanks a lot for your great help.